---
title: "Get a ticket's hard-ticket state"
url: https://docs.gleap.ai/en/reference/rest-api/get-ticket-state
method: GET
path: "/hard-tickets/tickets/{ticketId}"
api: "API Reference"
tag: "HardTickets"
operationId: "GetTicketState"
updatedAt: "2026-11-03T17:10:00.738Z"
language: en
---

# Get a ticket's hard-ticket state

`GET https://api.gleap.io/v3/hard-tickets/tickets/{ticketId}`

One ticket's hard-ticket state: the agent assignee and the human owner, the one active session, the docked card, and the Work-on-it menu (Kai Code Cloud, the Bridge machines with their online state, the apps).

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `ticketId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/hard-tickets/tickets/{ticketId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok
